Bug 1149865 - Slow gstack performance
Summary: Slow gstack performance
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb
Version: 20
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Sergio Durigan Junior
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1149866
TreeView+ depends on / blocked
 
Reported: 2014-10-06 19:18 UTC by Sergio Durigan Junior
Modified: 2014-10-29 11:02 UTC (History)
8 users (show)

Fixed In Version: gdb-7.7.1-21.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of: 1103894
: 1149866 (view as bug list)
Environment:
Last Closed: 2014-10-29 11:02:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Sourceware 16405 None None None Never

Description Sergio Durigan Junior 2014-10-06 19:18:21 UTC
"/usr/bin/gstack is a script which invokes gdb and it's slow. Especially for threaded C++ apps."

Background:
 
  Most of the time is spent reading the symbols and unwinding the stack for each thread. 
  GDB maintains 3 different symbol tables which causes the slowness.

  There is a discussion about speed/performance from sourceware.org:
  https://sourceware.org/gdb/wiki/SymbolHandling?highlight=%28faster%29

--- Additional comment from Jan Kratochvil on 2014-07-15 11:24:03 EDT ---

Upstream PR
  http://sourceware.org/bugzilla/show_bug.cgi?id=16405

--- Additional comment from Jan Kratochvil on 2014-10-01 15:50:28 EDT ---

[patch] Fix 100x slowdown regression on DWZ files
https://sourceware.org/ml/gdb-patches/2014-10/msg00020.html

Comment 1 Fedora Update System 2014-10-06 20:08:13 UTC
gdb-7.7.1-20.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gdb-7.7.1-20.fc20

Comment 2 Fedora Update System 2014-10-08 18:58:10 UTC
Package gdb-7.7.1-20.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gdb-7.7.1-20.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12309/gdb-7.7.1-20.fc20
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-10-21 06:42:59 UTC
gdb-7.7.1-21.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gdb-7.7.1-21.fc20

Comment 4 Fedora Update System 2014-10-29 11:02:58 UTC
gdb-7.7.1-21.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.